#ifndef __SOCKET_CPP
#define __SOCKET_CPP

class Socket
{
public:

	Socket();
	~Socket();

	virtual BOOL Connect(BYTE *IPAddr, WORD Port);
	virtual BOOL Recieve(PBYTE pbData, DWORD dwSize);
	virtual BOOL Send(PBYTE pbData, DWORD dwSize);
	virtual VOID Close();

	BOOL Connected;

private:
	WSADATA wsa;
	SOCKET sock;
	XNetStartupParams xnsp;
	BOOL bBroadcast;
	struct sockaddr_in server;
	struct sockaddr_in client;
};

#endif
